package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户打卡对象 wx_clock_log
 *
 * @author flossom
 * @date 2024-01-29
 */
public class WxClockLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 微信用户
     */
    @Excel(name = "微信用户")
    private Long userId;

    /**
     * 当天使用过的仪器
     */
    @Excel(name = "当天使用过的仪器")
    private String instrumentId;

    /**
     * 当天使用过的仪器
     */
    @Excel(name = "当天使用过的仪器")
    private String instrumentName;

    /**
     * 打卡心得
     */
    @Excel(name = "打卡心得")
    private String clockContent;

    /**
     * 状态（0正常 1停用）
     */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Long status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setInstrumentId(String instrumentId) {
        this.instrumentId = instrumentId;
    }

    public String getInstrumentId() {
        return instrumentId;
    }

    public void setInstrumentName(String instrumentName) {
        this.instrumentName = instrumentName;
    }

    public String getInstrumentName() {
        return instrumentName;
    }

    public void setClockContent(String clockContent) {
        this.clockContent = clockContent;
    }

    public String getClockContent() {
        return clockContent;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("instrumentId", getInstrumentId())
                .append("instrumentName", getInstrumentName())
                .append("clockContent", getClockContent())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .toString();
    }
}
